org.flexdock.perspective.persist

## Interface Persister

All Known Implementing Classes:
  DefaultFilePersister, XMLPersister

    public interface Persister

Created on 2005-03-30

Version:
  $Id: Persister.java,v 1.7 2005-07-05 14:53:26 marius Exp $
Author:
  Christopher Butler, Mateusz Szczap

### Method Summary

Methods
`PerspectiveModel` `load(java.io.InputStream is)` Deserializes `PerspectiveInfo` from the supplied data stream.
`boolean` `store(java.io.OutputStream os, PerspectiveModel perspectiveInfo)` Serializes `PerspectiveInfo` to the supplied data stream.

### Method Detail

#### store

    boolean store(java.io.OutputStream os,
                PerspectiveModel perspectiveInfo)
                  throws java.io.IOException,
                         PersistenceException

Serializes `PerspectiveInfo` to the supplied data stream.

Parameters:
  `os` - `OutputStream` to persist perspectiveInfo to.
  `perspectiveInfo` - data object to be persisted
Returns:
  `true` when there was no problem with persisting the perspectiveInfo object.
Throws:
  `java.io.IOException` - in case of input/output problem.
  `PersistenceException`

#### load

    PerspectiveModel load(java.io.InputStream is)
                          throws java.io.IOException,
                                 PersistenceException

Deserializes `PerspectiveInfo` from the supplied data stream.

Parameters:
  `is` - `InputStream` to load perspectiveInfo from.
Returns:
  `true` when there was no problem with persisting the perspectiveInfo object.
Throws:
  `java.io.IOException` - in case of input/output problem.
  `PersistenceException`